# petsc4py.PETSc.Scatter.Type

class petsc4py.PETSc.Scatter.Type

  Bases: `object`

  Scatter type.

  See also

  `VecScatterType`

  Attributes Summary

  `ALLGATHER` | Object `ALLGATHER` of type `str`
  `ALLGATHERV` | Object `ALLGATHERV` of type `str`
  `ALLTOALL` | Object `ALLTOALL` of type `str`
  `BASIC` | Object `BASIC` of type `str`
  `GATHER` | Object `GATHER` of type `str`
  `GATHERV` | Object `GATHERV` of type `str`
  `NEIGHBOR` | Object `NEIGHBOR` of type `str`
  `WINDOW` | Object `WINDOW` of type `str`

  Attributes Documentation

  ALLGATHER: str = ALLGATHER

    Object `ALLGATHER` of type `str`

  ALLGATHERV: str = ALLGATHERV

    Object `ALLGATHERV` of type `str`

  ALLTOALL: str = ALLTOALL

    Object `ALLTOALL` of type `str`

  BASIC: str = BASIC

    Object `BASIC` of type `str`

  GATHER: str = GATHER

    Object `GATHER` of type `str`

  GATHERV: str = GATHERV

    Object `GATHERV` of type `str`

  NEIGHBOR: str = NEIGHBOR

    Object `NEIGHBOR` of type `str`

  WINDOW: str = WINDOW

    Object `WINDOW` of type `str`